Skip to content

Get signature for registering an address for an Ethos profile

POST
/signatures/register-address
curl --request POST \
--url https://api.ethos.network/api/v2/signatures/register-address \
--header 'Content-Type: application/json' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \
--data '{ "type": "delegateXyz", "address": "example" }'
Media typeapplication/json
object
type
required
string
Allowed values: delegateXyz embeddedWallet externalWallet smartWallet
address
required

Ethereum address (0x-prefixed, 20 bytes)

string

Successful response

Media typeapplication/json
object
randValue
required
number
signature
required
string

Example generated

{
"randValue": 1,
"signature": "example"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}